//
//  KQ2_DetailViewController.m
//  KingsQueensNav12
//
//  Created by Terry Payne on 07/11/2012.
//  Copyright (c) 2012 Terry Payne. All rights reserved.
//

#import "KQ2_DetailViewController.h"
#import "KQ2_DataSourceMacros.h"

@interface KQ2_DetailViewController ()

@end

@implementation KQ2_DetailViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    // Here we simply insert the strings from the monarchDetails dictionary
    [[self nameLabel] setText:[[self monarchDetails] objectForKey:NAME]];
    [[self reignedLabel] setText:[[self monarchDetails ] objectForKey:REIGNED]];
    
    // Here we do some additional formatting on the strings
    [[self bornLabel] setText:[NSString stringWithFormat:@"Born: %@", [[self monarchDetails] objectForKey:BORN]]];
    [[self diedLabel] setText:[NSString stringWithFormat:@"Died: %@", [[self monarchDetails] objectForKey:DIED]]];
    
    // Here we insert the strings from the houseDetails dictionary
    [[self houseLabel] setText:[[self houseDetails] objectForKey:HOUSETITLE]];
    [[self epochLabel] setText:[[self houseDetails] objectForKey:HOUSEEPOCH]];
    
    // Here we obtain the image from the internet (on the main thread!!!)
    NSURL *url = [NSURL URLWithString:[[self monarchDetails] objectForKey:IMAGE]];
    UIImage *portraitImage = [UIImage imageWithData:[NSData dataWithContentsOfURL:url]];
    
    [[self portraitImageView] setImage:portraitImage];
    // Ensure the aspect ratio is maintained
    [[self portraitImageView] setContentMode:UIViewContentModeScaleAspectFit];

    // Set the Monarch's name as the View title; this will appear in the navigation var
    [self setTitle:[[self monarchDetails] objectForKey:NAME]];

}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
